<div class="container">
  <table class="table">
    <thead>
      <th>#</th>
      <th>Task</th>
      <th>Type</th>
      <th>Status</th>
      <th>Action</th>
    </thead>

    <tbody>
      <tr *ngFor="let item of tasksList; let i = index">
        <ng-container *ngIf="item.show">
          <td>{{ i + 1 }}</td>
          <td>{{ item.task }}</td>
          <td>{{ item.taskType }}</td>
          <td>{{ item.status ? "✅" : "❎" }}</td>
          <td>
            <button class="btn btn-success mr-3" (click)="completeTask(item)">
              <i class="fa fa-check"></i>
            </button>
            <button class="btn btn-danger mr-3" (click)="deleteTask(item)">
              <i class="fas fa-trash"></i>
            </button>
            <button class="btn btn-warning mr-3" (click)="editTask(item)">
              <i class="fas fa-edit"></i>
            </button>
          </td>
        </ng-container>
      </tr>
    </tbody>
  </table>

  <div *ngIf="tasksList.length == 0" class="center">
    <p>No task available. Add a new task.</p>
  </div>
</div>

<!-- 
     <tr>
        <td>1</td>
        <td>Make Todo Task Manager</td>
        <td>Urgent</td>
        <td>{{ "❎" }}</td>
        <td>
          <button class="btn btn-success mr-3">
            <i class="fa fa-check"></i>
          </button>
          <button class="btn btn-danger mr-3">
            <i class="fas fa-trash"></i>
          </button>

          <button class="btn btn-warning mr-3">
            <i class="far fa-edit"></i>
            <i class="fas fa-pen-square"></i>
            <i class="far fa-pen"></i>
            <i class="icon-edit"></i>
            <i class="fas fa-edit"></i>
          </button>
          <button class="btn btn-success mr-3">Update to Complete</button>
        <button class="btn btn-danger mr-3">Delete</button>
        <button class="btn btn-info">Complete</button>
        </td>
        <td><span> </span></td>
      </tr> -->
